# 49. Запит: Отримати дані в сітці з "FieldSatelliteImage"

Запит для отримання ґратчастих даних із растрового набору даних, пов'язаного з "FieldSatelliteImage", як `GEOJSON`  з точками або `GEOTIFF`. Атрибут properties залежить від постачальника і зазвичай містить оригінальні дані постачальника (наприклад RED, GREEN, BLUE, NIR і навіть Clear Land) для кожної точки/пікселя. Більше деталей про експортований файл можна знайти [ТУТ](/geopard-tutorials/ukrainian/oglyad-produktu-vebdodatok/eksport-zavantazhennya/eksport-suputnikovikh-znimkiv-u-geotiff-abo-geojson.md).

#### 1. Запросіть файл для експорту

{% hint style="danger" %}
Рекомендовано отримувати лише один набір даних з `sourceDataUrl` за запитом.&#x20;
{% endhint %}

`БезБуфера`, `ПлюсОдинПіксель`, `ПлюсДваПікселі`, `МінусОдинПіксель`, та `МінусДваПікселі` доступні як `буфер`.

`GEOJSON` та `GEOTIFF` доступні як формат.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        }
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Завантажте згенерований файл

Після успішної підготовки файлу його можна завантажити за допомогою `curl` або подібного підходу.

{% hint style="danger" %}
`sourceDataUrl` посилання доступне лише протягом **60 сек.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/49.-zapit-otrimati-dani-v-sitci-z-fieldsatelliteimage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
